# Tests unitaires jury BUT
# Essais avec un BUT GB et deux parcours sur S1, S2, S3

ReferentielCompetences:
  filename: but-GB-05012022-081625.xml
  specialite: GB

Formation:
  filename: scodoc_formation_BUT_GB_v1.xml
  # Association des UE aux compétences:
  ues:
    # S1 : Tronc commun GB
    'UE 11':
      annee: BUT1
      competence: Analyser
    'UE 12':
      annee: BUT1
      competence: Experimenter
    # S1 Parcours SEE
    'UE 1.3 SEE':
      annee: BUT1
      competence: Gérer
      parcours: SEE
    'UE 1.4 SEE':
      annee: BUT1
      competence: Traiter
      parcours: SEE
    # S1 Parcours BMB
    'UE 1.3 BMB':
      annee: BUT1
      competence: Mener
      parcours: BMB
    'UE 1.4 BMB':
      annee: BUT1
      competence: Réaliser
      parcours: BMB
    # S2 : Tronc commun GB
    'UE 21':
      annee: BUT1
      competence: Analyser
    'UE 22':
      annee: BUT1
      competence: Experimenter
    # S2 Parcours SEE
    'UE 23 SEE':
      annee: BUT1
      competence: Gérer
      parcours: SEE
    'UE 24 SEE':
      annee: BUT1
      competence: Traiter
      parcours: SEE
    # S2 Parcours BMB
    'UE 23 BMB':
      annee: BUT1
      competence: Mener
      parcours: BMB
    'UE 24 BMB':
      annee: BUT1
      competence: Réaliser
      parcours: BMB
    # S3 : Tronc commun GB
    'UE 3.1':
      annee: BUT2
      competence: Analyser
    'UE 3.2':
      annee: BUT2
      competence: Experimenter
    # S3 BMB
    'UE 3.3 BMB':
      annee: BUT2
      competence: Mener
      parcours: BMB
    'UE 3.4 BMB':
      annee: BUT2
      competence: Réaliser
      parcours: BMB
    'UE 3.5 BMB':
      annee: BUT2
      competence: Mettre en œuvre
      parcours: BMB
    # S3 SEE
    'UE 3.3 SEE':
      annee: BUT2
      competence: Gérer
      parcours: SEE
    'UE 3.4 SEE':
      annee: BUT2
      competence: Traiter
      parcours: SEE
    'UE 3.5 SEE':
      annee: BUT2
      competence: Déployer
      parcours: SEE
  modules_parcours:
    # cette section permet d'associer des modules à des parcours
    # les codes modules peuvent être des regexp
    BMB: [ .*BMB.* ]
    SEE: [ .*SEE.* ] 

FormSemestres:
  # S1 et S2 avec les parcours séparés:
  S1_SEE:
    idx: 1
    date_debut: 2021-09-01
    date_fin: 2022-01-15
    codes_parcours: ['SEE']
  S1_BMB:
    idx: 1
    date_debut: 2021-09-01
    date_fin: 2022-01-15
    codes_parcours: ['BMB']
  S2_SEE: 
    idx: 2
    date_debut: 2022-01-15
    date_fin: 2022-06-30
    codes_parcours: ['SEE']
  S2_BMB: 
    idx: 2
    date_debut: 2022-01-15
    date_fin: 2022-06-30
    codes_parcours: ['BMB']
  # S3 avec les deux parcours réunis:
  S3:
    idx: 3
    date_debut: 2022-09-01
    date_fin: 2023-01-15
    codes_parcours: ['SEE', 'BMB']


Etudiants:
  Aïaaa: # avec un i trema
    prenom: Étudiant_SEE
    civilite: M
    formsemestres:
      S1_SEE:
        parcours: SEE
        notes_modules: # on joue avec les SAE seulement car elles sont "diagonales"
          "SAÉ 1.01": 8 # UE11 ratée
          "SAÉ 1.02": 9 # UE12 ratée
          "SAÉ 1.SEE.03": 18 # UE13 => sera capitalisée
          "SAÉ 1.SEE.04": 7.5 # UE14 ratée
        attendu: # les codes jury que l'on doit vérifier
          deca: # decision année
            passage_de_droit: False
            nb_competences: 4
            nb_rcue_annee: 0 # pas de RCUE en S1
            # jury S1, pas de décision annuelle
            decisions_ues:
              "UE 11":
                codes: [ "AJ", "..." ]
                moy_ue: 8.
                explanation: "notes insuffisantes"
              "UE 12":
                codes: [ "AJ", "..." ]
                moy_ue: 9
              "UE 1.3 SEE":
                codes: [ "ADM", "..." ]
                moy_ue: 18
                explanation: "Moyenne >= 10.0/20"
              "UE 1.4 SEE":
                codes: [ "AJ", "..." ]

      S2_SEE:
        parcours: SEE
        notes_modules: # on joue avec les SAE seulement
          "SAE 21": 9 # UE21 ratée, pas le niveau de comp.
          "SAE22": 12 # UE22 ok, emporte le niveau par compensation
          "SAE23.SEE": 19 # UE23 SEE ok
          "SAE24.SEE": 12 # UE24 SEE ok, mais ne compense pas
        attendu:
          deca:
            passage_de_droit: False
            nb_competences: 4
            nb_rcue_annee: 4
            valide_moitie_rcue: False # ici valide 2/2, pas plus de la moitié
            passage_de_droit: False
            code: ["RED", "..."]
            code_valide: "RED"
            decisions_ues:
              "UE 21":
                codes: [ "AJ", "..." ]
                code_valide: AJ
              "UE 22":
                code_valide: ADM
              "UE 23 SEE":
                code_valide: ADM
              "UE 24 SEE":
                code_valide: ADM
            decisions_rcues: # on repère ici les RCUE par l'acronyme de leur 1ere UE
              "UE 11":
                code_valide: AJ
                rcue:
                  moy_rcue: 8.5
                  est_compensable: False

      S3:
        parcours: SEE
        notes_modules: # anglais qui intervient partout en SEE
          "R3.SEE.06": 15
  
  Azbbbb: # Az devrait être trié après Aï.
    prenom: Étudiante_BMB
    civilite: F
    formsemestres:
      S1_BMB:
        parcours: BMB
      S2_BMB:
        parcours: BMB
      S3:
        parcours: BMB
